%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-getobject
Version:    0.1.0
Release:    %mkrel 2
Summary:    Get and set deep objects easily
License:    MIT
Group:      System/Libraries
URL:        https://github.com/cowboy/node-getobject
Source0:    http://registry.npmjs.org/getobject/-/getobject-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-watch)
%endif

%description
%{summary}.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/getobject
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/getobject

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit -v
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/getobject




%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.1.0-2.mga6
+ Revision: 950284
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 0.1.0-1.mga5
+ Revision: 793659
- imported package nodejs-getobject


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 0.1.0-1.mga5
- import from FC

* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
